# std::overflow_error Class Reference

Inheritance diagram for std::overflow_error:

[legend]
Collaboration diagram for std::overflow_error:

[legend]
List of all members.

## Public Member Functions

virtual const char * | what () const throw ()

## Detailed Description

Thrown to indicate arithmetic overflow.

Definition at line 134 of file stdexcept.

## Member Function Documentation

const char * std::runtime_error::what | ( |  | ) | const throw ()`[virtual, inherited]`

| Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor). Reimplemented from std::exception. Definition at line 66 of file stdexcept.cc.

The documentation for this class was generated from the following files:

- stdexcept
- stdexcept.cc